aboutsummaryrefslogtreecommitdiff
path: root/lava_android_test/test_definitions/monkey/monkey.sh
diff options
context:
space:
mode:
Diffstat (limited to 'lava_android_test/test_definitions/monkey/monkey.sh')
-rwxr-xr-xlava_android_test/test_definitions/monkey/monkey.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/lava_android_test/test_definitions/monkey/monkey.sh b/lava_android_test/test_definitions/monkey/monkey.sh
new file mode 100755
index 0000000..c774680
--- /dev/null
+++ b/lava_android_test/test_definitions/monkey/monkey.sh
@@ -0,0 +1,6 @@
+#!/system/bin/sh
+#monkey_cmd="monkey -s 1 --pct-touch 10 --pct-motion 20 --pct-nav 20 --pct-majornav 30 --pct-appswitch 20 --throttle 500 2147483647"
+monkey_cmd="monkey -s 1 --pct-touch 10 --pct-motion 20 --pct-nav 20 --pct-majornav 30 --pct-appswitch 20 --throttle 500 500"
+echo execute command=${monkey_cmd}
+${monkey_cmd}
+echo MONKEY_RET_CODE=$?